<template lang="pug">
menu-wrapper
	template( v-for='({ label, items, allow }, i) in menu' )
		menu-list( v-if='!allow || allow.includes(role)' :label='label' )
			template( v-for='({ text, icon, to, allow }, y) in items' )
				menu-item(
					v-if='!allow || allow.includes(role)'
					:icon='icon' :to='to') {{ text }}
</template>

<script setup>
import { MenuWrapper, MenuList, MenuItem } from "@/components/menu"

import { computed } from "vue"
import { useUserStore } from "@/stores/user"
import { useI18n } from "vue-i18n"

const us = useUserStore()
const { t } = useI18n({})
const $t = key => t(`default.nav.${key}`)
const role = computed(() => us.user.role)

const menu = computed(() => [
	{
		label: "CRM",
		items: [
			{
				text: $t("orders"),
				icon: "lightbulb",
				to: { name: "Orders" }
			},
			{
				text: $t("members"),
				icon: "users",
				to: { name: "Clients" }
			}
		]
	},
	{
		label: $t("autos"),
		items: [
			{
				text: $t("all_autos"),
				icon: "list",
				to: { name: "Cars" }
			},
			{
				text: t("buttons.create"),
				icon: "plus",
				to: { name: "CarCreate" }
			}
		]
	},
	{
		label: $t("brands"),
		items: [
			{
				text: $t("all_brands"),
				icon: "list",
				to: { name: "Brands" }
			},
			{
				text: t("buttons.create"),
				icon: "plus",
				to: { name: "BrandCreate" }
			}
		]
	},
	{
		label: $t("settings"),
		items: [
			{
				text: $t("metadata"),
				icon: "bars",
				to: { name: "RootMetaParams" }
			},
			{
				text: $t("rent"),
				icon: "car",
				to: { name: "RentalParams" }
			},
			{
				text: $t("images"),
				icon: "image",
				to: { name: "Images" }
			}
		]
	},
	{
		label: $t("pages"),
		items: [
			{
				text: $t("privacy_policy"),
				icon: "newspaper",
				to: { name: "PrivacyContent" }
			},
			{
				text: $t("about_us"),
				icon: "address-card",
				to: { name: "AboutUsContent" }
			},
			{
				text: "FAQ",
				icon: "question-circle",
				to: { name: "FaqContent" }
			}
		]
	},
	{
		label: $t("crm_settings"),
		allow: [0],
		items: [
			{
				text: $t("users"),
				icon: "users",
				to: { name: "Users" }
			}
		]
	}
])
</script>